<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fzm.mall.server.admin.goods_center.mapper.PreSaleMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.fzm.mall.server.admin.goods_center.model.PreSale">
        <id column="id" property="id" />
        <result column="pre_sale_id" property="preSaleId" />
        <result column="goods_id" property="goodsId" />
        <result column="sale_start_time" property="saleStartTime" />
        <result column="sale_end_time" property="saleEndTime" />
        <result column="ship_time" property="shipTime" />
        <result column="draw_start_time" property="drawStartTime" />
        <result column="draw_end_time" property="drawEndTime" />
        <result column="deposit" property="deposit" />
        <result column="deposit_type" property="depositType" />
        <result column="status" property="status" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

</mapper>
